%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}

%if %build_plf  
%define distsuffix plf
%if %mdvver >= 201100
# make EVR of plf build higher than regular to allow update, needed with rpm5 mkrel
%define extrarelsuffix plf
%endif
%endif

Name:			mpd
Version:		0.16.3
Release:		%mkrel 1
Summary:		MPD, the Music Player Daemon
License:		GPLv2+
Group:			Sound
Url:			http://www.musicpd.org/
Source0:		http://downloads.sourceforge.net/musicpd/%{name}-%{version}.tar.gz
Source1:		%{name}.conf
Source2:		%{name}.init
Source3:		%{name}.logrotate
Source4:		README.urpmi
Source5:		%{name}.service

Requires(pre):		rpm-helper
Requires(post):     rpm-helper
Requires(preun):    rpm-helper
Requires(postun):   rpm-helper
BuildRequires:		libalsa-devel
BuildRequires:      libao-devel
BuildRequires:		libatomic_ops-devel
BuildRequires:	    libaudiofile-devel
BuildRequires:		libavahi-common-devel
BuildRequires:		libcurl-devel
BuildRequires:	    libflac-devel libflac++-devel
BuildRequires:	    libid3tag-devel
BuildRequires:      libjack-devel
BuildRequires:	    libmad-devel
BuildRequires:	    libmikmod-devel
BuildRequires:      libmpcdec-devel
BuildRequires:	    libogg-devel
BuildRequires:      libpulseaudio-devel
BuildRequires:		libshout-devel
BuildRequires:	    libvorbis-devel
BuildRequires:	    sqlite3-devel
%if %build_plf
BuildRequires:      libfaad2-devel
%endif
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}

%description
Music Player Daemon (MPD) allows remote access for playing music (MP3, Ogg
Vorbis, FLAC, Mod, and wave files) and managing playlists. MPD is designed
for integrating a computer into a stereo system that provides control for music
playback over a local network. It is also makes a great desktop music player,
especially if your a console junkie, like frontend options, or restart X often.
%if %build_plf
This package is in PLF because it is built with AAC support of libfaad2,
which is in PLF.
%endif

%prep
%setup -q

%build
%if %build_plf
%configure2_5x --with-alsa-prefix=%{_prefix} --enable-ao --enable-curl --enable-sqlite
%else
%configure2_5x --with-alsa-prefix=%{_prefix} --enable-ao --enable-curl --enable-sqlite --disable-aac
%endif
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/var/lib/mpd
touch %{buildroot}/%{_localstatedir}/lib/mpd/mpd.db
touch %{buildroot}/%{_localstatedir}/lib/mpd/mpdstate
mkdir -p %{buildroot}/var/log/mpd
touch %{buildroot}/var/log/mpd/mpd.log
touch %{buildroot}/var/log/mpd/mpd.error
mkdir -p %{buildroot}/var/run/mpd
mkdir -p %{buildroot}/%{_localstatedir}/lib/mpd/playlists
mkdir -p %{buildroot}/%{_localstatedir}/lib/mpd/music
mkdir -p %{buildroot}/lib/systemd/system

install -D %{SOURCE1} %{buildroot}/etc/mpd.conf
install -D %{SOURCE2} %{buildroot}/%{_initrddir}/%{name}
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install %{SOURCE4} doc/README.urpmi
rm -rf %{buildroot}/%{_docdir}/mpd

install -D %{SOURCE5} %{buildroot}/lib/systemd/system/

%clean
rm -rf %{buildroot}

%pre
%_pre_useradd %name %{_localstatedir}/lib/%{name} /bin/false
usermod -g audio %{name}

%post
if [ $1 -eq 1 ]
then
%create_ghostfile %{_localstatedir}/lib/mpd/mpd.db mpd audio 644
%create_ghostfile %{_localstatedir}/lib/mpd/mpdstate mpd audio 644
%create_ghostfile /var/log/mpd/mpd.log mpd audio 644
%create_ghostfile /var/log/mpd/mpd.error mpd audio 644
service %{name} createdb
fi
#echo If you want to run mpd as a service, please read
#echo /usr/share/doc/mpd-%{version}/README.MDK
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%defattr(-,root,root)
%doc README UPGRADING AUTHORS NEWS doc/mpdconf.example doc/*.urpmi
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(-,mpd,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_initrddir}/%{name}
%defattr(644,mpd,audio)
%attr(755,mpd,audio) %dir %{_localstatedir}/lib/mpd
%attr(755,mpd,audio) %dir %{_localstatedir}/lib/mpd/music
%attr(755,mpd,audio) %dir %{_localstatedir}/lib/mpd/playlists
%ghost %{_localstatedir}/lib/mpd/mpd.db
%ghost %{_localstatedir}/lib/mpd/mpdstate
%attr(755,mpd,audio) %dir /var/log/mpd
%attr(755,mpd,audio) %dir /var/run/mpd
%ghost /var/log/mpd/mpd.log
%ghost /var/log/mpd/mpd.error
%attr(644,root,root) /lib/systemd/system/%{name}.service


%changelog
* Wed Jun 15 2011 Sandro Cazzaniga <kharec@mandriva.org> 0.16.3-1mdv2011.0
+ Revision: 685349
- new version 0.16.3

* Wed May 11 2011 Sandro Cazzaniga <kharec@mandriva.org> 0.16.2-1
+ Revision: 673657
- update tp 0.16.2
- use a tar.gz (given by upstream)

* Tue Mar 15 2011 Stéphane Téletchéa <steletch@mandriva.org> 0.16.1-2
+ Revision: 644942
- Remove deprecated option in the configuration file

* Mon Mar 14 2011 Stéphane Téletchéa <steletch@mandriva.org> 0.16.1-1
+ Revision: 644750
- update to new version 0.16.1

  + Anssi Hannula <anssi@mandriva.org>
    - plf: append "plf" to Release on cooker to make plf build have higher EVR
      again with the rpm5-style mkrel now in use

* Sat Jan 29 2011 Eugeni Dodonov <eugeni@mandriva.com> 0.15.13-2
+ Revision: 633880
- Add systemd unit.

* Wed Oct 13 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.15.13-1mdv2011.0
+ Revision: 585389
- update to 0.15.13
- update to 0.15.12

* Sun Jul 18 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.15.11-1mdv2011.0
+ Revision: 554796
- update to 0.15.11

* Sat Jul 17 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.15.10-1mdv2011.0
+ Revision: 554701
- update to 0.15.10

* Sun Mar 28 2010 Funda Wang <fwang@mandriva.org> 0.15.9-2mdv2010.1
+ Revision: 528371
- rebuild

* Tue Mar 23 2010 Jérôme Quelin <jquelin@mandriva.org> 0.15.9-1mdv2010.1
+ Revision: 526875
- update to new version 0.15.9

* Fri Feb 26 2010 Jérôme Quelin <jquelin@mandriva.org> 0.15.8-2mdv2010.1
+ Revision: 511693
- enable sqlite for "sticker" database

* Thu Jan 21 2010 Frederik Himpe <fhimpe@mandriva.org> 0.15.8-1mdv2010.1
+ Revision: 494657
- update to new version 0.15.8

* Tue Dec 29 2009 Funda Wang <fwang@mandriva.org> 0.15.7-1mdv2010.1
+ Revision: 483227
- new version 0.15.7

* Fri Nov 20 2009 Jérôme Quelin <jquelin@mandriva.org> 0.15.6-1mdv2010.1
+ Revision: 467597
- update to new version 0.15.6

* Thu Oct 22 2009 Jérôme Quelin <jquelin@mandriva.org> 0.15.5-1mdv2010.0
+ Revision: 458917
- forgot to commit new tarball
- update to 0.15.5
- fix #54767 - missing url-streaming capability
- tidy spec file

* Sun Aug 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0.15.3-1mdv2010.0
+ Revision: 422659
- update to new version 0.15.3

* Mon Aug 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0.15.2-1mdv2010.0
+ Revision: 417348
- update to new version 0.15.2

* Thu Jul 16 2009 Funda Wang <fwang@mandriva.org> 0.15.1-1mdv2010.0
+ Revision: 396629
- New verison 0.15.1

* Thu Jun 25 2009 Frederik Himpe <fhimpe@mandriva.org> 0.15-1mdv2010.0
+ Revision: 389185
- update to new version 0.15

* Fri Jun 12 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.14.2-2mdv2010.0
+ Revision: 385549
- Updated init script to be LSB-compliant.

* Sat Feb 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.2-1mdv2009.1
+ Revision: 340261
- update to new version 0.14.2

* Wed Feb 11 2009 Götz Waschk <waschk@mandriva.org> 0.14.1-2mdv2009.1
+ Revision: 339449
- rebuild

* Sun Jan 18 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.1-1mdv2009.1
+ Revision: 331003
- update to new version 0.14.1

* Sun Dec 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14-1mdv2009.1
+ Revision: 320691
- update to new version 0.14
- fix docs

* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 0.13.2-2mdv2009.0
+ Revision: 271851
- rebuild

* Sat Jun 21 2008 Funda Wang <fwang@mandriva.org> 0.13.2-1mdv2009.0
+ Revision: 227721
- New version 0.13.2

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Tue Apr 15 2008 Anssi Hannula <anssi@mandriva.org> 0.13.1-2mdv2009.0
+ Revision: 193992
- plf: fix reason

* Tue Jan 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.13.1-1mdv2008.1
+ Revision: 159586
- new version
- new license policy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 22 2007 Gaëtan Lehmann <glehmann@mandriva.org> 0.13.0-5mdv2008.0
+ Revision: 54443
- libao must be enable explicitly

* Sun Jul 22 2007 Gaëtan Lehmann <glehmann@mandriva.org> 0.13.0-4mdv2008.0
+ Revision: 54434
- fix a last mistake in default audio config file

* Fri Jul 20 2007 Gaëtan Lehmann <glehmann@mandriva.org> 0.13.0-3mdv2008.0
+ Revision: 53808
- allow mpd to create its pmd.pid file, os the service can start with the
  default config
- create the music and playlists directories in the package, so mpd can
  start with the default config
- create the database in postinstall so mpd can start immediately once the
  package is installed
- fix wrong audio config, so mpd can work with the default config
- update buildrequires to make all the features of mpd usable
- move msec notes at the end of the readme to avoid confusing the user

* Mon Jul 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.13.0-2mdv2008.0
+ Revision: 52666
- update mpd.conf file (alsa is a default sound system now)
- bunzip Source 1

* Mon May 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.13.0-1mdv2008.0
+ Revision: 32091
- new version
- drop P1 and P2
- spec file clean

  + Erwan Velu <erwan@mandriva.org>
    - 0.12.2


* Wed Feb 14 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.12.1-3mdv2007.0
+ Revision: 121192
- fix build with flac 1.1.4 (P2 from svn)

* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.12.1-2mdv2007.1
+ Revision: 96051
- Rediff patch 1 and remove patch 0 (merged upstream)

* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.12.1-1mdv2007.1
+ Revision: 96050
- New version 0.12.1

  + Lenny Cartier <lenny@mandriva.com>
    - Import mpd

* Wed Nov 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.11.5-5mdk
- arg!!! a patch is better applied :/ :
		- so apply patch1

* Wed Nov 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.11.5-4mdk
- From Anssi Hannula : 
	- fix build switch (%%define -> %%global)
	- fix configure check for faad2 (patch1)
	- fix BuildRequires libfaad2-devel for x86_64
	- clean %%pre and %%postun

* Thu May 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.11.5-3mdk
- Rebuild

* Wed Nov 10 2004 Cedric Devillers <brancaleone@altern.org> 0.11.5-2mdk
- Patch0 enable interpolation feature of libmikmod2 (much better sound).
- Source1 Make it "service-ready" (initscript, global config file, logrotate
  config, and instructions to run mpd as a service). Thanks to guillomovitch
  and rgs.

* Thu Nov 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.11.5-1mdk 
- new release
- rpmbuildupdate aware
- fixed plf build

* Tue Aug 10 2004 Cedric Devillers <brancaleone@altern.org> 0.11.4-2mdk
- Don't use internal libmad and libid3tag anymore (new BuildRequires added)

* Sun Aug 08 2004 Cedric Devillers <brancaleone@altern.org> 0.11.4-1mdk
- Initial package
- Add plf swith because AAC support need libfaad (wich is in plf)

